<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Файлы'; // заголовок страницы
include_once '../sys/inc/thead.php';
only_reg();
title();

$id=intval($_GET['id']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user_files` WHERE `id` = '$id' AND `id_user` = '$user[id]' LIMIT 1"),0)==0){header("Location: /index.php?");exit;}
$file_id = mysql_fetch_array(mysql_query("SELECT * FROM `user_files` WHERE `id` = '$id'"));
if ($file_id['id_user']==$user['id'] && isset($_GET['act']) && $_GET['act']=='delete' && isset($_GET['ok'])){
mysql_query("DELETE FROM `user_files` WHERE `id` = '$id'");
unlink(H.'files/user_files/'.$id.'.dat');
header("location: index.php?id=".$user['id']."");
}
if ($file_id['id_user']==$user['id'] && isset($_GET['act']) && $_GET['act']=='rename' && isset($_GET['ok'])){
if ($_POST['name']==NULL)$err[]= "Введите название папки";
if( !preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['name']))$err[]='В нике присутствуют запрещенные символы';
if (preg_match("#(^\ )|(\ $)#ui", $_POST['name']))$err[]='Запрещено использовать пробел в начале и конце ника';
if(!isset($err)){
mysql_query("UPDATE `user_files` SET `name`='".my_esc($_POST['name'])."' WHERE `id` = '$id' LIMIT 1");
header("location: file.php?id=".$id."");}
}
err();
if ($file_id['id_user']==$user['id'] && isset($_GET['act']) && $_GET['act']=='rename'){
echo "<form  action='?id=$id&amp;act=rename&amp;ok' method=\"post\">";
echo "Название файла:<br />\n";
echo "<input type=\"text\" name=\"name\" value=\"$file_id[name]\"/><br />\n";
echo "<input class=\"submit\" type=\"submit\" value=\"Переименовать\" /><br />\n";
echo "<a href='file.php?id=$id'>Отмена</a><br />\n";
echo "</form>";
}
if ($file_id['id_user']==$user['id'] && isset($_GET['act']) && $_GET['act']=='delete')
{
echo "Удалить файл <b>$file_id[name]</b>?<br />\n";
echo "<a href='?id=$id&amp;act=delete&amp;ok'>Да</a> / ";
echo "<a href='file.php?id=$id'>Нет</a><br />\n";
}
if ($file_id['id_user']==$user['id'] && isset($_GET['act']) && $_GET['act']=='obmen'){
if (isset($_POST['dir_osn'])){
$dir_id = mysql_fetch_array(mysql_query("SELECT * FROM `obmennik_dir` WHERE `dir` = '$_POST[dir_osn]'"));
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_files` WHERE `id_dir` = '$dir_id[id]' AND `name` = '$file_id[name]'"),0)!=0)
$err[]='Файл с таким названием уже есть в этой папке';
if(!isset($err)){
mysql_query("INSERT INTO `obmennik_files` (`id_dir`, `name`, `ras`, `size`, `time`, `time_last`, `id_user`, `opis` )
VALUES ('$dir_id[id]', '$file_id[name]', '$file_id[ras]', '$file_id[size]', '$time', '$time', '$user[id]', '$file_id[opis]' )");
$id_file=mysql_insert_id();
if (!@copy(H."files/user_files/$file_id[id].dat", H."sys/obmen/files/$id_file.dat")){
mysql_query("DELETE FROM `obmennik_files` WHERE `id` = '$id_file' LIMIT 1");}
msg('Файл успешно добавлен в обменник');
}
}
err();
if($file_id['ras']=='mp3' || $file_id['ras']=='amr' || $file_id['ras']=='wav' || $file_id['ras']=='midi' || $file_id['ras']=='mmf'){$dir='Музыка';}
if($file_id['ras']=='avi' || $file_id['ras']=='mp4' || $file_id['ras']=='flv' || $file_id['ras']=='3gp'){$dir='Видео';}
if($file_id['ras']=='jpeg' || $file_id['ras']=='gif' || $file_id['ras']=='jpg' || $file_id['ras']=='png'){$dir='Картинки';}
if($file_id['ras']=='rar' || $file_id['ras']=='zip'){$dir='Архив';}
if(isset($dir)){
echo'Автоопределение расширения: <b>'.$dir.'</b><br/>';}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_dir` WHERE `upload` not like '0' AND `ras` like '%$file_id[ras]%'"),0)==0){
echo'<b>Категории для выгрузки данных файлов в обменнике не существует!</b><br/>';}else{
echo '<form action="edit_file.php?act=obmen&amp;id='.$id.'" method="post">';
echo "Категория: ";
echo "<select class=\"submit\" name=\"dir_osn\">";
$q = mysql_query("SELECT DISTINCT `dir`, `name` FROM `obmennik_dir` WHERE `upload` not like '0' AND `ras` like '%$file_id[ras]%' ORDER BY 'dir' ASC");
while ($post = mysql_fetch_array($q)){
echo "<option value='$post[dir]'>$post[name]</option>\n";
}
echo "</select><br />\n";
echo "<input class=\"submit\" type=\"submit\" value=\"Поместить!\" /><br />\n";
echo "</form>";
}}
include_once '../sys/inc/tfoot.php';
?>